Schemas & file types
Get file types
This endpoint is used to get all the file types that are available in the workspace.
GET
/
v1
/
file-type
Get file types
curl --request GET \
--url https://api.orion.file.ai/prod/v1/file-type \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orion.file.ai/prod/v1/file-type"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orion.file.ai/prod/v1/file-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"fileTypes": [
{
"id": "671290be60a313d55c800016",
"name": "Invoice",
"description": "An",
"classId": "",
"className": "Invoice",
"isDeleted": false,
"isPublished": true,
"createdAt": "2024-10-18T16:45:50.064Z",
"updatedAt": "2024-10-18T16:45:50.064Z",
"isHero": true,
"mode": "system",
"usageApprovalState": "approved",
"currentSchemaVersion": {
"id": "6825b293e4045050159a9012",
"fields": [],
"blueprintId": "671290be60a313d55c800016",
"originalSchemaId": "6822f82f8e71384720e3b233",
"blueprintMode": "user",
"schemaType": "custom",
"state": "active",
"usageApprovalState": "approved",
"createdAt": "2025-05-15T09:23:31.609Z",
"updatedAt": "2025-05-15T09:23:31.609Z",
"isCurrentVersion": true,
"versionNumber": 10,
"versionMinorNumber": 5,
"versionName": "1.5",
"versionDescription": "",
"metadata": {
"lastModifiedBy": "68217fe644185d6150db54a8",
"userId": "68217fe644185d6150db54a8",
"organizationId": "68218006ebc72170fdb221f7",
"workspaceId": "68218006ebc72170fdb221f2"
},
"versionDisplayName": ""
}
}
],
"count": 1,
"currentPage": 1
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}Request · Response · Guide: Extract fields
More details
More details
The response will contain a list of file types that are associated with the workspace and their respective properties.
Authorizations
API key for authentication
Query Parameters
Page number
Example:
1
Number of items per page
Example:
100
Field to sort by
Example:
"createdAt"
Sort direction
Available options:
ASC, DESC Example:
"ASC"
Opaque pagination cursor. Provide the parameter (empty value for the first page) to switch to cursor pagination: the response becomes { data, pagination: { limit, nextCursor, hasMore } } with default limit 50 (max 100). Omit it entirely for legacy page/limit pagination. In cursor mode sortBy must be one of createdAt, updatedAt, _id, and cursors are bound to the sortBy/sortOrder they were minted with.
⌘I
Get file types
curl --request GET \
--url https://api.orion.file.ai/prod/v1/file-type \
--header 'x-api-key: <api-key>'import requests
url = "https://api.orion.file.ai/prod/v1/file-type"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.orion.file.ai/prod/v1/file-type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"fileTypes": [
{
"id": "671290be60a313d55c800016",
"name": "Invoice",
"description": "An",
"classId": "",
"className": "Invoice",
"isDeleted": false,
"isPublished": true,
"createdAt": "2024-10-18T16:45:50.064Z",
"updatedAt": "2024-10-18T16:45:50.064Z",
"isHero": true,
"mode": "system",
"usageApprovalState": "approved",
"currentSchemaVersion": {
"id": "6825b293e4045050159a9012",
"fields": [],
"blueprintId": "671290be60a313d55c800016",
"originalSchemaId": "6822f82f8e71384720e3b233",
"blueprintMode": "user",
"schemaType": "custom",
"state": "active",
"usageApprovalState": "approved",
"createdAt": "2025-05-15T09:23:31.609Z",
"updatedAt": "2025-05-15T09:23:31.609Z",
"isCurrentVersion": true,
"versionNumber": 10,
"versionMinorNumber": 5,
"versionName": "1.5",
"versionDescription": "",
"metadata": {
"lastModifiedBy": "68217fe644185d6150db54a8",
"userId": "68217fe644185d6150db54a8",
"organizationId": "68218006ebc72170fdb221f7",
"workspaceId": "68218006ebc72170fdb221f2"
},
"versionDisplayName": ""
}
}
],
"count": 1,
"currentPage": 1
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}{
"type": "https://errors.file.ai/validation-failed",
"title": "Validation failed",
"status": 422,
"detail": "One or more fields are invalid.",
"instance": "/v1/files/upload",
"code": "VALIDATION_FAILED",
"requestId": "0f1c8e03-978e-40d5-bc93-6894a57f9324",
"errors": [
{
"code": "REQUIRED",
"detail": "must not be empty",
"pointer": "#/fileName",
"parameter": "limit"
}
],
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422,
"retryAfter": 42
}